%global momorel 2

%global with_gtkgui 1

Summary: Optical Character Recognition (OCR) program
Name: gocr
Version: 0.44
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://jocr.sourceforge.net/
%NoSource 0 http://dl.sourceforge.net/sourceforge/jocr/gocr-%{version}.tar.gz 8657cb057d7836ed171b5705d5e082c8
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: netpbm-devel
%if %{with_gtkgui}
BuildRequires: gtk+-devel >= 1.2.8
%endif

%description
GOCR is an optical character recognition program, released under the
GNU General Public License. It reads images in many formats (pnm, pbm,
pgm, ppm, some pcx and tga image files) and outputs a text file.

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%if %{with_gtkgui}
%package gtk
Summary: GTK frontend for gocr
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description gtk
This package contains a gtk+ frontend to gocr.
%endif

%prep
%setup
# Create mkinstalldirs -> gnome/mkinstalldirs in frontend directory
%{__ln_s} -f gnome/mkinstalldirs frontend/mkinstalldirs

%build
%configure
%make

%if %{with_gtkgui}
cd frontend/gnome
%configure
cd -
make -C frontend/gnome
%endif

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%if %{with_gtkgui}
%{__make} install DESTDIR="%{buildroot}" -C frontend/gnome
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS BUGS CREDITS HISTORY README REMARK.txt REVIEW TODO
%doc doc/*.html
%doc %{_mandir}/man1/gocr.1*
%{_bindir}/gocr
%{_bindir}/gocr.tcl

%files devel
%defattr(-, root, root, 0755)
%doc api/doc/*.txt
%{_libdir}/libPgm2asc.a
%{_includedir}/gocr.h

%if %{with_gtkgui}
%files gtk
%defattr(-, root, root, 0755)
%doc frontend/gnome/AUTHORS frontend/gnome/README frontend/gnome/TODO
%{_bindir}/gtk-ocr
%endif

%changelog
* Thu May 24 2007 Yohsuke OOi <meke@momonga-linux.org>
- (0.44-2m)
- change Source URL

* Wed Apr 18 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.44-1m)
- import to Momonga from freshrpms.net

* Wed Mar  7 2007 Matthias Saou <http://freshrpms.net/> 0.44-1
- Update to 0.44.
- Remove no longer used patch.

* Mon Dec 18 2006 Dag Wieers <dag@wieers.com> - 0.43-1
- Updated to release 0.43.

* Mon Oct 23 2006 Matthias Saou <http://freshrpms.net/> 0.41-1
- Update to 0.41.
- Remove (apparently) no longer needed libm hack.
- Include user and devel docs only once, in one format.

* Sun May 11 2003 Dag Wieers <dag@wieers.com> - 0.37-0
- Initial package. (using DAR)
